Text Link
Account Inquiry
Text Link
Get Details of Account Inquiry Invoice by ID
Text Link
Get List of Account Inquiry Invoices
Text Link
Pay Account Inquiry Invoice

Account Inquiry

HTTPS Request

[Production] POST https://partner.sento.id/api/account-inquiry

[Staging] POST https://api-demo.sento.id/api/account-inquiry

Header Parameters

Parameter Type Required Description
x-username String True
Username for authentication
Example: yourusername
x-api-key String True
API key for authentication
Example: your-api-key

Request Parameters

Parameter Type Required Description
bank_code String(255) TRUE Bank Code of the Beneficiary account, see Disbursement Bank Codes
account_number String(255) TRUE Beneficiary account number, numeric only

Response Parameters

Parameter Type   Description
status Object Status of inquiry {code: <status_code>, message: <status_message>}
bank_code String Bank Code of the Beneficiary account, see Disbursement Bank Codes
account_number String Account Number of the Beneficiary Account
account_name String Account Name of the Beneficiary Account
id String Unique ID of the inquiry. ID will be provided only for 000 or 209 status. Otherwise, the ID will be null.
invoice_id String ID of the invoice related to the inquiry result.
timestamp Timestamp UTC Timestamp api hit (Format: yyyy-MM-ddTHH:mm:ss)

{
  "bank_code": "002",
  "account_number": "200531000000017985"
}
curl --location 'https://{host}/api/account-inquiry' \
--header 'x-username: yourusername' \
--header 'x-api-key: your-api-key' \
--header 'Content-Type: application/json' \
--data '{
  "bank_code": "002",
  "account_number": "200531000000017985"
}'
Request Samples
200
{
  "status": {
    "code": "000",
    "message": "Success"
  },
  "bank_code": "008",
  "account_number": "12341234",
  "account_name": "John Doe",
  "timestamp": "2025-03-11T06:33:18",
  "id": "747bf914-eb0c-4a59-adcb-b8a151f56b17",
  "invoice_id": "3d440813-26be-4d78-9177-3ad30b4268fe"
}
205
{
  "status": {
    "code": "205",
    "message": "Bank Code is not found"
  },
  "bank_code": "INVALID",
  "account_number": "12341234",
  "account_name": null,
  "timestamp": "2025-03-11T06:21:36",
  "id": null,
  "invoice_id": null
}
209
{
  "status": {
    "code": "209",
    "message": "Bank Account is not found"
  },
  "bank_code": "008",
  "account_number": "12341234",
  "account_name": null,
  "timestamp": "2025-08-03T12:00:02",
  "id": "715078ea-8699-452d-94ac-e9c909190924",
  "invoice_id": "98c1099e-9763-46a1-b6a1-8f32ff179525"
}
500
{
  "status": {
    "code": "500",
    "message": "Internal server error"
  }
}
Response Samples

Get Details of Account Inquiry Invoice by ID

Use this API to get inquiry invoice by ID.

HTTPS Request

[Production] GET https://partner.sento.id/api/account-inquiry/invoices/<invoiceId>

[Staging] GET https://api-demo.sento.id/api/account-inquiry/invoices/<invoiceId>

Header Parameters

Parameter Type Required Description
x-username String True
Username for authentication
Example: yourusername
x-api-key String True
API key for authentication
Example: your-api-key

Response Parameters

Parameter Type Description
status Object

Status of Inquiry in Object. Detail of the parameters:

Parameter Data Type Description
code BigInteger
3 digits of status code for the transaction (reference in the transaction status & request status table)
message String(255)
Transaction status or request status message.
invoice_id String invoice ID
tx_date String the UTC+7 date of inquiry transaction from 00:00 UTC+7 until 23:59 UTC+7
amount String amount of the invoice
total_inquiry Integer the number of inquiries
paid_at String UTC invoice payment timestamp
invoice_status String status of the invoice: INITIATED, UNPAID, or PAID
due_at String UTC due timestamp for the invoice

curl --location 'https://{host}/api/account-inquiry/invoices/bf76fa75-e19c-4edd-8d44-a5a0fa454fac' \
--header 'x-username: yourusername' \
--header 'x-api-key: your-api-key'
Request Samples
200
{
  "status": {
    "code": "000",
    "message": "Success"
  },
  "invoice_id": "bf76fa75-e19c-4edd-8d44-a5a0fa454fac",
  "tx_date": "2025-03-11",
  "amount": 2000,
  "total_inquiry": 2,
  "paid_at": null,
  "invoice_status": "INITIATED",
  "due_at": "2025-03-11T17:00:00",
  "timestamp": "2025-03-11T06:50:50"
}
204
{
  "status": {
    "code": "204",
    "message": "Invoice ID not found"
  },
  "invoice_id": null,
  "tx_date": null,
  "amount": null,
  "total_inquiry": 0,
  "paid_at": null,
  "invoice_status": null,
  "due_at": null,
  "timestamp": "2025-08-03T12:01:25"
}
500
{
  "status": {
    "code": "500",
    "message": "Internal server error"
  }
}
Response Samples

Get List of Account Inquiry Invoices

Use this API to get inquiry invoices.

HTTPS Request

[Production] GET https://partner.sento.id/api/account-inquiry/invoices?offset=<offset>&limit=<limit>&status=<status>

[Staging] GET https://api-demo.sento.id/api/account-inquiry/invoices?offset=<offset>&limit=<limit>&status=<status>

Query Parameters

Parameter Type Description
offset Integer start offset, default is 0, if empty will used default value
limit Integer  max item to fetch, default is 10, if empty will used default value
status String
invoice status to fetch. If empty will fetch invoice regardless of the status
Enum: INITIATED, UNPAID, PAID

Header Parameters

Parameter Type Required Description
x-username String True
Username for authentication
Example: yourusername
x-api-key String True
API key for authentication
Example: your-api-key

Response Parameters

Parameter Type Description
total Integer Total number of invoices per username
status Object Status of Inquiry in Object. Detail of the parameters:
Parameter Data Type Description
code BigInteger
3 digits of status code for the transaction (reference in the transaction status & request status table)
message String(255)
Transaction status or request status message.
timestamp Timestamp UTC Timestamp api hit (Format: yyyy-MM-ddTHH:mm:ss)
data Array of objects Data of inquiry invoice in Object. Detail of the parameters
Parameter Description
invoice_id invoice ID
tx_date date of inquiry transaction in UTC (Format: yyyy-MM-dd)
amount amount of the invoice
total_inquiry the number of hit inquiries
paid_at invoice paid timestamp in UTC (Format: yyyy-MM-ddTHH:mm:ss)
invoice_status status of the invoice: INITIATEDUNPAID, or PAID
due_at due date for the invoice in UTC (Format: yyyy-MM-ddTHH:mm:ss)
curl --location 'https://{host}/api/account-inquiry/invoices?limit=10&offset=0&status=PAID' \
--header 'x-username: yourusername' \
--header 'x-api-key: your-api-key'
Request Samples
200
{
  "total": 7,
  "status": {
    "code": "000",
    "message": "Success"
  },
  "data": [
    {
      "invoice_id": "715f3e75-b4f0-4a12-83ba-6271d6b37e5d",
      "tx_date": "2025-04-22",
      "amount": 1000,
      "total_inquiry": 1,
      "paid_at": "2025-04-23T08:45:01",
      "invoice_status": "PAID",
      "due_at": "2025-04-22T17:00:00"
    },
    {
      "invoice_id": "1767b79b-0468-4c09-a905-d6fdcbb040a1",
      "tx_date": "2025-04-17",
      "amount": 1000,
      "total_inquiry": 1,
      "paid_at": "2025-04-18T08:45:01",
      "invoice_status": "PAID",
      "due_at": "2025-04-17T17:00:00"
    },
    {
      "invoice_id": "93ec1afe-6538-4ced-ab59-12449bbd1b69",
      "tx_date": "2025-03-26",
      "amount": 2000,
      "total_inquiry": 2,
      "paid_at": "2025-03-27T08:45:04",
      "invoice_status": "PAID",
      "due_at": "2025-03-26T17:00:00"
    },
    {
      "invoice_id": "b4311387-4199-4d75-afc8-1d11bf33f809",
      "tx_date": "2025-03-21",
      "amount": 7000,
      "total_inquiry": 7,
      "paid_at": "2025-03-22T08:45:03",
      "invoice_status": "PAID",
      "due_at": "2025-03-21T17:00:00"
    },
    {
      "invoice_id": "fef4551f-6a6a-4f58-b3d7-e47e89007c4a",
      "tx_date": "2025-03-18",
      "amount": 1000,
      "total_inquiry": 1,
      "paid_at": "2025-03-19T08:45:03",
      "invoice_status": "PAID",
      "due_at": "2025-03-18T17:00:00"
    },
    {
      "invoice_id": "a76987c7-6fe7-4352-9d2a-b626c0ffe598",
      "tx_date": "2025-03-17",
      "amount": 2000,
      "total_inquiry": 2,
      "paid_at": "2025-03-18T08:45:06",
      "invoice_status": "PAID",
      "due_at": "2025-03-17T17:00:00"
    },
    {
      "invoice_id": "a53499f4-8595-49d0-ae05-74a2099ba73d",
      "tx_date": "2025-03-14",
      "amount": 12000,
      "total_inquiry": 12,
      "paid_at": "2025-03-15T08:45:02",
      "invoice_status": "PAID",
      "due_at": "2025-03-14T17:00:00"
    }
  ],
  "timestamp": "2025-05-26T15:23:25"
}
201
{
  "total": 0,
  "status": {
    "code": "201",
    "message": "User is not found"
  },
  "data": [],
  "timestamp": "2025-08-03T12:03:33"
}
500
{
  "status": {
    "code": "500",
    "message": "Internal server error"
  }
}
Response Samples

Pay Account Inquiry Invoice

Use this API to pay inquiry invoice.

HTTPS Request

[Production] POST https://partner.sento.id/api/account-inquiry/invoices/pay

[Staging] POST https://api-demo.sento.id/api/account-inquiry/invoices/pay

Header Parameters

Parameter Type Required Description
x-username String True
Username for authentication
Example: yourusername
x-api-key String True
API key for authentication
Example: your-api-key

Request Parameters

Parameter Type Required Description
invoice_id String TRUE Invoice ID

Response Parameters

Parameter Type Description
status Object Status of inquiry {code: <status_code>, message: <status_message>}
invoice_id String invoice ID
tx_date String the UTC+7 date of inquiry transaction from 00:00 UTC+7 until 23:59 UTC+7
amount String amount of the invoice
total_inquiry Integer the number of inquiries
paid_at String UTC invoice payment timestamp
invoice_status String status of the invoice: INITIATEDUNPAID, or PAID
due_at String UTC due timestamp for the invoice

{"invoice_id": "bf76fa75-e19c-4edd-8d44-a5a0fa454fac"}
curl --location 'https://{host}/api/account-inquiry/invoices/pay' \
--header 'x-username: yourusername' \
--header 'x-api-key: your-api-key' \
--header 'Content-Type: application/json' \
--data '{
  "invoice_id": "bf76fa75-e19c-4edd-8d44-a5a0fa454fac"
}'

Request Samples
102
{
  "status": {
    "code": "102",
    "message": "Request is In progress"
  },
  "invoice_id": "bf76fa75-e19c-4edd-8d44-a5a0fa454fac",
  "tx_date": "2025-03-10",
  "amount": 1000,
  "total_inquiry": 1,
  "paid_at": null,
  "due_at": "2025-03-10T17:00:00",
  "invoice_status": "UNPAID",
  "timestamp": "2025-03-12T07:07:15"
}
204
{
  "status": {
    "code": "204",
    "message": "Invoice ID not found."
  },
  "invoice_id": "YOUR-INVOICE-ID",
  "tx_date": null,
  "amount": null,
  "total_inquiry": 0,
  "paid_at": null,
  "due_at": null,
  "invoice_status": null,
  "timestamp": "2025-08-03T12:04:28"
}
500
{
  "status": {
    "code": "500",
    "message": "Internal server error"
  }
}
Response Samples